# Packmangroup: Games/Amusements
# Packmanpackagename: tuxsaver
# Packman: Herbert Graeber
# Packmandesc: A funny screensaver for KDE with Tux
# Packmandesc_de: Ein lustiger Screensaver fr KDE mit Tux

# norootforbuild

Name:        tuxsaver
Summary:     A funny screensaver for KDE with Tux
Summary(de): Ein lustiger Screensaver fr KDE mit Tux
Version:     1.0
Release:     0.pm.0
Copyright:   GPL
Vendor:      Packman
Url:         http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver
Packager:    Herbert Graeber <herbert@links2linux.de>
Group:       ScreenSavers
Source:      %{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-build
Prefix:      /opt/kde3
Requires:    qt3
Requires:    kdelibs3
BuildRequires: kdelibs3-devel XFree86-Mesa-devel

%description
TuxSaver is a 3D screensaver for KDE 3.x.
It show the life of tux living on an iceberg on the southpole.

%description -l de
TuxSaver ist ein 3D-Bildschirmschoner fr KDE 3.x.
Er zeigt das Leben von Tux auf einem Eisberg am Sdpol.

%prep
%setup -q
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=/opt/kde3 \
		--disable-debug \
                $LOCALFLAGS
%build
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG $CXXFLAGS"
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/kde3/share/doc/HTML/en/tuxsaver
/opt/kde3/share/locale/nl/LC_MESSAGES/tuxsaver.mo
/opt/kde3/share/locale/fr/LC_MESSAGES/tuxsaver.mo
/opt/kde3/share/apps/tuxsaver
/opt/kde3/share/applnk/System/ScreenSavers/tuxsaver.desktop
/opt/kde3/bin/tuxsaver.kss

%changelog
* Tue Dec 23 2003 - herbert@links2linux.de
- update to version 1.0

* Thu Oct 2 2003 - herbert@links2linux.de
- converted to build
